0

I'm trying to install PyWPS on my computer and when I run

 sudo python setup.py install

I'm receiving : "extensions/gdal_wrap.cpp:2853:22: fatal error: cpl_port.h: No such file or directory compilation terminated. error: Setup script exited with error: command 'x86_64-linux-gnu-gcc' failed with exit status 1"

I've Gdal 2.1.2 installed on my computer and I can see the cpl_port header in /usr/include/gdal/.

Is there something I'm missing ?

  • PyWPS is not dependent on GDAL. What version are you trying to install? Could you please add to your question the contents of the requirements.txt file in the root PyWPS folder? – Luís de Sousa Feb 3 '17 at 8:11
  • I was trying to install 3.2.5. I've opened the requirement and it says "GDAL==1.10.0 lxml==3.5.0" That might be the reason I can't install it. – Miguel Sanchez Feb 3 '17 at 14:06
1

Since you already have GDAL installed you can try to skip it. Open the requirements.txt file and comment out the respective line; it should look like this:

#GDAL==1.10.0
lxml==3.5.0

The run again sudo python setup.py install.

Note that this only applies to releases 3.2.X.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.